#if !defined(AFX_DESTINATIONDLG_H__A9FA038E_AA14_418B_8F03_96EFADE622F9__INCLUDED_)
#define AFX_DESTINATIONDLG_H__A9FA038E_AA14_418B_8F03_96EFADE622F9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DestinationDlg.h : header file
//


/////////////////////////////////////////////////////////////////////////////
// CDestinationDlg dialog

class CDestinationDlg : public CDialog
{
// Construction
public:
	void ApplyChanges();
	void SelectDest(int destination);
	void InsertDestString(int i, int loc);
	void DisplayDestData(int destination);
	void RefreshListBox();
	CDestinationDlg(CWnd* pParent = NULL);   // standard constructor

	// this needs map tile data for nifty preview thingy
	CDC *tilesets;
	CDC tempmap;
	CDC crosshair;
	int *map_tiles[320][256];
	int *gsets[80][32];
	int *lsets[320][256];


	// destination data to be used; must be set externally before dialog box is
	// initialized
	DestinationList dest;
	ObjectArea areas[1280];


	// states
	int sel_dest;	// selected destination in listbox

	bool request_seek;
	int seek_sel;
	int seek_x;
	int seek_y;


// Dialog Data
	//{{AFX_DATA(CDestinationDlg)
	enum { IDD = IDD_DESTINATIONDLG };
	CButton	m_Chk_Flag;
	CComboBox	m_Combo_Dir;
	CComboBox	m_Combo_Type;
	CListBox	m_ListBox;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDestinationDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDestinationDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnListBoxSelect();
	afx_msg void OnAdd();
	afx_msg void OnRemove();
	afx_msg void OnApply();
	afx_msg void OnPaint();
	afx_msg void OnSeek();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DESTINATIONDLG_H__A9FA038E_AA14_418B_8F03_96EFADE622F9__INCLUDED_)
