// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__233B6820_D4C0_4682_A69E_0FB35E8A20F1__INCLUDED_)
#define AFX_MAINFRM_H__233B6820_D4C0_4682_A69E_0FB35E8A20F1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	void CloseFile();
	void LoadFile(CString szFilename);
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

public:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CReBar      m_wndReBar;
	CDialogBar      m_wndDlgBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnFileOpen();
	afx_msg void OnSelectTileset();
	afx_msg void OnEditX();
	afx_msg void OnEditY();
	afx_msg void OnEditPalette();
	afx_msg void OnEditMusic();
	afx_msg void OnViewGridlines();
	afx_msg void OnUpdateViewGridlines(CCmdUI* pCmdUI);
	afx_msg void OnEditCopy();
	afx_msg void OnEditPaste();
	afx_msg void OnUpdateEditCopy(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);
	afx_msg void OnEditUndo();
	afx_msg void OnUpdateEditUndo(CCmdUI* pCmdUI);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnFileClose();
	afx_msg void OnUpdateFileClose(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileSave(CCmdUI* pCmdUI);
	afx_msg void OnToolsDestination();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnModeDoor();
	afx_msg void OnUpdateModeDoor(CCmdUI* pCmdUI);
	afx_msg void OnModeMap();
	afx_msg void OnUpdateModeMap(CCmdUI* pCmdUI);
	afx_msg void OnModeSprite();
	afx_msg void OnUpdateModeSprite(CCmdUI* pCmdUI);
	afx_msg void OnToolsAddDoor();
	afx_msg void OnUpdateToolsAddDoor(CCmdUI* pCmdUI);
	afx_msg void OnUpdateToolsDestinationEdit(CCmdUI* pCmdUI);
	afx_msg void OnToolsAddSprite();
	afx_msg void OnUpdateToolsAddSprite(CCmdUI* pCmdUI);
	afx_msg void OnViewSpriteborders();
	afx_msg void OnUpdateViewSpriteborders(CCmdUI* pCmdUI);
	afx_msg void OnViewSpriteOutlines();
	afx_msg void OnUpdateViewSpriteOutlines(CCmdUI* pCmdUI);
	afx_msg void OnViewDragSpriteOutline();
	afx_msg void OnUpdateViewDragSpriteOutline(CCmdUI* pCmdUI);
	afx_msg void OnViewBorderFlash();
	afx_msg void OnUpdateViewBorderFlash(CCmdUI* pCmdUI);
	afx_msg void OnToolsRemoveObject();
	afx_msg void OnUpdateToolsRemoveObject(CCmdUI* pCmdUI);
	afx_msg void OnToolsTPTEditor();
	afx_msg void OnUpdateToolsTPTEditor(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__233B6820_D4C0_4682_A69E_0FB35E8A20F1__INCLUDED_)
